body {
 font-family:calibri;
}

#pyramid {
position: relative;
margin: 100px auto;
height: 500px;
width: 100px;
-webkit-transform-style: preserve-3d;
-webkit-animation: spin 5s linear infinite;
-webkit-transform-origin: -20px 0 10px;
-webkit-animation: spin 10s linear infinite;
-webkit-transform-origin: 116px 200px 116px;

-moz-transform-style: preserve-3d;
-moz-animation: spin 5s linear infinite;
-moz-transform-origin: -20px 0 10px;
-moz-animation: spin 10s linear infinite;
-moz-transform-origin: 116px 200px 116px;
}

@-webkit-keyframes spin {
  from {
  	-webkit-transform: rotateY(0deg) rotateX(-20deg);
    -webkit-transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);
  }
  to {
  	-webkit-transform: rotateY(360deg) rotateX(-20deg);
  	-webkit-transform: rotateX(360deg) rotateY(360deg) rotateZ(360deg);
  }
}

@-moz-keyframes spin {
  from {
  	-moz-transform: rotateY(0deg) rotateX(-20deg);
  	-moz-transform: rotateX(0deg) rotateY(0deg) rotateZ(0deg);
  }
  to {
  	-moz-transform: rotateY(360deg) rotateX(-20deg);
  	-moz-transform: rotateX(360deg) rotateY(360deg) rotateZ(360deg);
  }
}


#pyramid > div {
position: absolute;
border-color: transparent transparent transparent rgba(50, 50, 50, 0.5);
border-style: solid;
border-width: 200px 0 200px 346px;
-webkit-transform-origin: 0 0;
@@ -49,24 +51,27 @@ left: -250px;
text-align: center;
}


#pyramid > div:first-child  {
-webkit-transform: rotateY(-19.5deg);
-moz-transform: rotateY(-19.5deg);
border-color: transparent transparent transparent rgba(22, 22, 22, 0.6);
-webkit-transform: rotateY(-19.5deg) rotateX(180deg) translateY(-400px);
-moz-transform: rotateY(-19.5deg) rotateX(180deg) translateY(-400px);;
}

#pyramid > div:nth-child(2) {
-webkit-transform: rotateY(90deg) rotateZ(60deg);
-moz-transform: rotateY(90deg) rotateZ(60deg);
border-color: transparent transparent transparent rgba(166, 22, 22, 0.6);
-webkit-transform: rotateY(90deg) rotateZ(60deg) rotateX(180deg) translateY(-400px);
-moz-transform: rotateY(90deg) rotateZ(60deg) rotateX(180deg) translateY(-400px);
}

#pyramid > div:nth-child(3) {
border-color: transparent transparent transparent rgba(166, 22, 22, 0.9);
-webkit-transform: rotateX(60deg) rotateY(19.5deg);
-moz-transform: rotateX(60deg) rotateY(19.5deg);
}

#pyramid > div:nth-child(4) {
-webkit-transform: rotateX(-60deg) rotateY(19.5deg) translateX(-116px) translateY(-200px);
-webkit-transform-origin: 0 0 -326px;
-moz-transform: rotateX(-60deg) rotateY(19.5deg) translateX(-116px) translateY(-200px);
-moz-transform-origin: 0 0 -326px;
}
border-color: transparent transparent transparent rgba(166, 22, 22, 0.8);
-webkit-transform: rotateX(-60deg) rotateY(19.5deg) translateX(-116px) translateY(-200px) translateZ(326px);
-moz-transform: rotateX(-60deg) rotateY(19.5deg) translateX(-116px) translateY(-200px) translateZ(327px);
}